print.ols {rms} | R Documentation

## Print ols

### Description

Formatted printing of an object of class `ols` using methods taken from `print.lm` and `summary.lm`. Prints R-squared, adjusted R-squared, parameter estimates, standard errors, and t-statistics (Z statistics if penalized estimation was used). For penalized estimation, prints the maximum penalized likelihood estimate of the residual standard deviation (`Sigma`) instead of the usual root mean squared error. Format of output is controlled by the user previously running `options(prType="lang")` where `lang` is `"plain"` (the default), `"latex"`, or `"html"`.

### Usage

    ## S3 method for class 'ols'
    print(x, digits=4, long=FALSE, coefs=TRUE,
     title="Linear Regression Model", ...)

### Arguments

`x` | fit object
`digits` | number of significant digits to print
`long` | set to `TRUE` to print the correlation matrix of parameter estimates
`coefs` | specify `coefs=FALSE` to suppress printing the table of model coefficients, standard errors, etc. Specify `coefs=n` to print only the first `n` regression coefficients in the model.
`title` | a character string title to be passed to `prModFit`
`...` | other parameters to pass to `print` or `format`

### See Also

`ols`, `lm`,`prModFit`

[Package rms version 5.1-1 Index]